package org.acme;

import io.quarkus.arc.Unremovable;
import jakarta.enterprise.context.ApplicationScoped;
import jakarta.inject.Inject;
import jakarta.transaction.Transactional;
import jakarta.transaction.UserTransaction;
import jakarta.ws.rs.POST;
import jakarta.ws.rs.Path;

@ApplicationScoped
@Unremovable
public class AnotherResource {

    @Inject
    UserTransaction userTransaction;

    @POST
    @Transactional
    @Path("/world")
    public String hello() {
        return "Hello from RESTEasy Reactive";
    }
}
